#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <stddef.h>
#include <stddef.h>
#include <math.h>
#include <float.h>

#include "grib.h"

/*
 * v1.0   number of missing data points w. ebisuzaki
 *
 */

static int mask[] = {128, 64, 32, 16, 8, 4, 2, 1};

int missing_points(unsigned char *bitmap, int n) {

    int i, count, bitcnt;
    if (bitmap == NULL) return 0;

    for (bitcnt = i = count = 0; i < n; i++) {

	count += ((mask[bitcnt] & *bitmap) == 0);
	if (bitcnt++ == 7) {
	    bitcnt = 0;
	    bitmap++;
	}
    }
    return count;
}
